{% extends 'base.html' %}

{% block content %}

    <div class="container">
        <div class="mx-auto">
            <div class="container">
                <div class="row">
                    <div class="col col-lg-9">
                        <h1>Information about this room :</h1>
                    </div>
                    <div class="col col-lg-3">
                        {% if room["user"] == user_data["user_id"] %}
                            <input type="image" src="/static/delete.png" width="20px" border="0" data-bs-toggle="modal" data-bs-target="#deleteModal2" />
                        {% endif %}
                    </div>
                </div>
            </div>
            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">General</button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="pills-booking-tab" data-bs-toggle="pill" data-bs-target="#pills-booking" type="button" role="tab" aria-controls="pills-booking" aria-selected="false">Bookings</button>
                </li>
            </ul>
            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                    <div class="container-fluid">
                        <div class="table-responsive">
                            <table class="table">
                                <tbody>
                                <tr>
                                    <td>Name</td>
                                    <td>{{ room["key"]["name"] }}</td>
                                </tr>
                                <tr>
                                    <td>Size</td>
                                    <td>{{ room["size"] }}</td>
                                </tr>
                                <tr>
                                    <td>Description</td>
                                    <td><p>{{ room["desc"] }}</p></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="pills-booking" role="tabpanel" aria-labelledby="pills-booking-tab">
                    <ul class="list-group">
                        {% if hasbooking %}
                            <div class="container">
                                <li class="list-group-item list-group-item-dark">
                                    <div class="row">
                                        <div class="col col-lg-5">
                                            Start date
                                        </div>
                                        <div class="col col-lg-6">
                                            End date
                                        </div>
                                        <div class="col col-lg-1"></div>
                                        <div class="col col-lg-1"></div>
                                    </div>
                                </li>
                                {% for booking in bookings %}
                                    <li class="list-group-item list-group-item-secondary">
                                        <div class="row">
                                            <div class="col col-lg-5">
                                                {{ booking["date_start"] }}
                                            </div>
                                            <div class="col col-lg-5">
                                                {{ booking["date_end"] }}
                                            </div>
                                            {% if booking["user"] == user_data["user_id"] %}
                                                <div class="col col-lg-1">
                                                    <form action="/editbooking" method="post" class="form-editbooking">
                                                        <input type="text" id="booking_id" name="booking_id"  hidden value="{{ booking["key"]["id"] }}">
                                                        {{ deleteeditbooking.csrf_token }}
                                                        <input type="image" src="/static/edit.png" width="20px" border="0" alt="Submit" />
                                                    </form>
                                                </div>
                                                <div class="col col-lg-1">
                                                    <input type="image" src="/static/delete.png" width="20px" border="0" data-bs-toggle="modal" data-bs-target="#deleteBookingModal" data-bs-booking="{{ booking["key"]["id"] }}" />
                                                </div>
                                            {% else %}
                                                <div class="col col-lg-1"></div>
                                                <div class="col col-lg-1"></div>
                                            {% endif %}
                                        </div>
                                    </li>
                                {% endfor %}
                            </div>
                        {% else %}
                            <p>There is no booking for this room !</p>
                        {% endif %}
                    </ul>
                </div>
            </div>

            <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#bookroomModal">
                Book a room
            </button>
            <div class="modal fade" id="bookroomModal" tabindex="-1" aria-labelledby="bookroomModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="bookroomModalLabel">Book a Room</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                        <form action="/add_booking" method="post" id="form-bookbooking">
                            <div class="modal-body">
                                {{ render_field(form_add_booking.date_start, type="datetime-local") }}
                                {{ render_field(form_add_booking.date_end, type="datetime-local") }}
                                {{ form_add_booking.room(hidden=True) }}
                                {{ form_add_booking.csrf_token }}
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <input type="submit" class="btn btn-primary" value="Book the room">
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="modal fade" id="deleteModal2" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="deleteModalLabel">Delete Room</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <form action="/deleteroom" method="post" class="form-deleteroom">
                            <div class="modal-body">
                                <p>Are you sure you want to delete this room ?</p>
                                {{ roomdelete.room(hidden=True) }}
                            </div>
                            {{ roomdelete.csrf_token }}
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <input type="submit" class="btn btn-danger" value="Delete">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="deleteBookingModal" tabindex="-1" aria-labelledby="deleteBookingModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="deleteBookingModalLabel">Delete Booking</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <form action="/deletebooking" method="post" class="form-deletebooking">
                            <div class="modal-body">
                                <p>Are you sure you want to delete this booking ?</p>
                                <input type="text" id="booking_id" name="booking_id" hidden>
                            </div>
                            {{ deleteeditbooking.csrf_token }}
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <input type="submit" class="btn btn-danger" value="Delete">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}